<?xml version="1.0" encoding="utf-8"?>
<openerp>
	<data>
		<!-- ========================================= Review DPA egawai Views =============================================== -->
		<record id="view_skp_consolidation_realisasi_skp_form" model="ir.ui.view">
            <field name="name">project.skp.consolidation.form</field>
            <field name="model">project.skp</field>
            <field name="inherit_id" ref="df_project.view_menu_realisasi_skp_form"/>
            <field eval="2" name="priority"/>
            <field name="arch" type="xml">
                <xpath expr="//button[@name='action_appeal_reject_popup']" position="after">
                  <span  attrs="{'invisible':[('state','!=', 'done')]}">
                  <button name="action_propose_review_dpa" string="Ajukan Review DPA" type="object"  
                   groups="df_project.group_project_user"  attrs="{'invisible':[('target_type_id','!=','dpa_opd_biro')]}" 
                   help="Pengajuan Review ini hanya bisa dilakukan oleh pejabat Struktural dan kegiatan DPA/APBD"
                  />
                  <button name="action_propose_review_by_atasan" string="Ajukan Review" type="object"    
                   groups="df_project.group_project_manager"  
                   help="Pengajuan Review Dilakukan Oleh Atasan Langsung, Untuk Mengajukan koreksi penilaian staffnya"
                  />
                  </span>
			    </xpath>
			    
				<xpath expr="//button[@name='do_recalculate_poin']" position="after">
				<span  attrs="{'invisible':[('state','!=', 'propose_to_review')]}">
                  <button name="action_review_accepted" string="Terima Review Nilai" type="object" class="oe_highhlight"  
                   groups="df_project.group_project_evaluated_bkd"  attrs="{'invisible':[('is_dpa_review','!=',True)]}"    />
                  <button name="action_review_accepted_byatasan" string="Terima Review Dari Atasan" type="object" class="oe_highhlight"    
                   groups="df_project.group_project_evaluated_bkd"  attrs="{'invisible':[('is_dpa_review','!=',False)]}"     />
                  <button name="action_review_rejected" string="Tolak Review Nilai" type="object"  
                   groups="df_project.group_project_evaluated_bkd"    />
                </span>
			    </xpath>
			    
				<xpath expr="//field[@name='realisasi_biaya']" position="attributes">
					<attribute name="attrs">{'readonly':[('state','not in', ('realisasi'))],'required': [('target_type_id','=','dpa_opd_biro')]}</attribute>   
				</xpath>
				<xpath expr="//field[@name='realisasi_jumlah_kuantitas_output']" position="attributes">
					<attribute name="attrs">{'readonly':[('state','!=', 'realisasi')],'required':[('state','=', 'realisasi')]}</attribute>   
				</xpath>
				<xpath expr="//field[@name='realisasi_satuan_kuantitas_output']" position="attributes">
					<attribute name="attrs">{'readonly':[('state','!=', 'realisasi')],'required':[('state','=', 'realisasi')]}</attribute>   
				</xpath>
				<xpath expr="//field[@name='realisasi_kualitas']" position="attributes">
					<attribute name="attrs">{'readonly':[('state','!=', 'realisasi')],'required':[('state','=', 'realisasi')]}</attribute>   
				</xpath>
				<xpath expr="//field[@name='realisasi_waktu']" position="attributes">
					<attribute name="attrs">{'readonly':[('state','!=', 'realisasi')],'required':[('state','=', 'realisasi')]}</attribute>   
				</xpath>
				<xpath expr="//field[@name='realisasi_satuan_waktu']" position="attributes">
					<attribute name="attrs">{'readonly':[('state','!=', 'realisasi')],'required':[('state','=', 'realisasi')]}</attribute>   
				</xpath>
				<xpath expr="//field[@name='realisasi_angka_kredit']" position="attributes">
					<attribute name="attrs">{'readonly':[('state','!=', 'realisasi')]}</attribute>   
				</xpath>
				
				<xpath expr="//page[@name='target_realisasi']/group[1]" position="after">
					<group col="2" name="review_skp" string="Pengajuan Review" attrs="{'invisible':[('is_review','=', False )]}" >
							<field name='nilai_sebelum_review'  attrs="{'invisible':[('is_review','=', False )]}"  readonly="True"/>
							<br/><br/>
							<field name='is_review' invisible="True"/>
							<field name='is_dpa_review' invisible="True"/>
							<field name='review_realiasasi_jumlah_kuantitas_output'  attrs="{'invisible':[('is_review','=', False )]}" readonly="True"/>
							<field name='review_realiasasi_kualitas'  attrs="{'invisible':[('is_review','=', False )]}" readonly="True"/>
							<field name='review_realiasasi_waktu'  attrs="{'invisible':[('is_review','=', False )]}" readonly="True"/>
							<field name='review_realiasasi_biaya'  attrs="{'invisible':[('is_review','=', False )]}" readonly="True"/>
							<field name='review_realiasasi_angka_kredit'  attrs="{'invisible':[('is_review','=', False )]}" readonly="True"/>
							<field name='review_notes'  attrs="{'invisible':[('is_review','=', False )]}" readonly="True"/>
							
					</group>			
				</xpath>
            </field>
        </record>
        
  		 <!-- action menu -->
        <record model="ir.actions.act_window" id="action_realisasi_skp_selesai_user">
            <field name="name">Realisasi SKP Selesai</field>
            <field name="res_model">project.skp</field>
            <field name="view_type">form</field>
            <field name="view_mode">tree,form</field>
            <field name="context">{'search_default_group_target_period_month': 1}</field>
            <field name="domain">[('user_id','=',uid),('state','in',('done','closed'))]</field>
            <field name="search_view_id" ref="df_project.open_view_target_tahunan_all_filter"/>
            <field name="help" type="html">
              <p >
                Menu menampilkan data realiasi SKP Bulanan Yang Sudah Selesai
              </p>
            </field>
        </record>
        <record model="ir.actions.act_window" id="action_realisasi_skp_selesai_atasan">
            <field name="name">Realisasi SKP Selesai Unit</field>
            <field name="res_model">project.skp</field>
            <field name="view_type">form</field>
            <field name="view_mode">tree,form</field>
            <field name="context">{'search_default_group_target_period_month': 1}</field>
            <field name="domain">[('user_id_atasan','=',uid),('state','in',('done','closed'))]</field>
            <field name="search_view_id" ref="df_project.open_view_target_tahunan_all_filter"/>
            <field name="help" type="html">
              <p >
                Menu menampilkan data realiasi SKP Bulanan Yang Sudah Selesai Dari Staff
              </p>
            </field>
        </record>
        
		<record model="ir.actions.act_window" id="action_realisasi_skp_propose_review_bkd">
            <field name="name">Realisasi SKP Yang Akan Direview</field>
            <field name="res_model">project.skp</field>
            <field name="view_type">form</field>
            <field name="view_mode">tree,form</field>
            <field name="search_view_id" ref="df_project.open_view_target_tahunan_all_filter"/>
            <field name="domain">[('user_id_bkd','=',uid),('state','=','propose_to_review')]</field>
            <field name="help" type="html">
              <p >
                Menu Menampilkan Data Realiasi SKP Bulanan Yang Akan Diajukan Review 
              </p>
            </field>
        </record>
		<!-- Menu -->
		<menuitem id="menu_penilaian_prestasi_review" name="Review Prestasi Kerja"  
      	parent="df_project.menu_penilaian_prestasi_kerja" sequence="4" groups="df_project.group_project_user"  />
		
			<menuitem action="action_realisasi_skp_selesai_user" id="menu_realisasi_skp_selesai_user" name="Realisasi SKP Bulanan Selesai"  
				 	 sequence="1" parent="menu_penilaian_prestasi_review"  groups="df_project.group_project_manager"/>
		<menuitem id="menu_penilaian_prestasi_review_unit" name="Review Prestasi Kerja Unit"   
      	parent="df_project.menu_penilaian_prestasi_kerja" sequence="5" groups="df_project.group_project_manager"  />
		
			<menuitem action="action_realisasi_skp_selesai_atasan" id="menu_realisasi_skp_selesai_atasan" name="Realisasi SKP Bulanan Selesai"  
				 	 sequence="1" parent="menu_penilaian_prestasi_review_unit"  groups="df_project.group_project_manager"/>
			
		
		<menuitem id="menu_penilaian_prestasi_konfirmasi_review" name="Konfirmasi Prestasi Kerja"  
      	parent="df_project.menu_penilaian_prestasi_kerja" sequence="4" groups="df_project.group_project_evaluated_bkd"  />
		
			<menuitem action="action_realisasi_skp_propose_review_bkd" id="menu_realisasi_skp_propose_review_bkd" name="Realisasi SKP Bulanan"   
				 	 sequence="1" parent="menu_penilaian_prestasi_konfirmasi_review"  groups="df_project.group_project_evaluated_bkd" />

	</data>
</openerp>


